StarItemSet Class Reference documentation

Public Member Functions | Public Attributes | List of all members
StarItemSet Class Reference

class to store a list of item More...

`#include <StarItem.hxx>`

## Public Member Functions
| StarItemSet ()
| constructor More...
bool | empty () const
| return true if the set is empty More...
bool | add (std::shared_ptr< StarItem > item)
| try to add a item More...
std::string | printChild () const
| debug function to print the child field More...

## Public Attributes
librevenge::RVNGString | m_style
| item set name More...
int | m_family
| the family More...
std::map< int, std::shared_ptr< StarItem > > | m_whichToItemMap
| the list of item More...

## Detailed Description

class to store a list of item

## Constructor & Destructor Documentation

## ◆ StarItemSet()

StarItemSet::StarItemSet | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ add()

bool StarItemSet::add | ( | std::shared_ptr< StarItem > | item | ) |

try to add a item

Referenced by StarObject::readItemSet().

## ◆ empty()

bool StarItemSet::empty | ( |  | ) | const
| inline

return true if the set is empty

Referenced by StarAttributeItemSet::print().

## ◆ printChild()

std::string StarItemSet::printChild | ( |  | ) | const

debug function to print the child field

Referenced by operator<<(), StarObjectChart::readSCHAttributes(), StarObjectSmallTextInternal::Paragraph::send(), and StarObjectTextInternal::TextZone::send().

## Member Data Documentation

## ◆ m_family

int StarItemSet::m_family

the family

Referenced by StarCellAttribute::StarCAttributePattern::read(), and StarItemPool::updateUsingStyles().

## ◆ m_style

librevenge::RVNGString StarItemSet::m_style

item set name

Referenced by StarAttributeItemSet::addTo(), StarCellAttribute::StarCAttributePattern::read(), and StarItemPool::updateUsingStyles().

## ◆ m_whichToItemMap

std::map<int, std::shared_ptr<StarItem> > StarItemSet::m_whichToItemMap

the list of item

Referenced by add(), StarCharAttribute::StarCAttributeCharFormat::addTo(), StarAttributeItemSet::addTo(), empty(), StarAttributeItemSet::print(), printChild(), StarObject::readItemSet(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), StarAttributeItemSet::send(), StarItemPool::updateStyles(), and StarItemPool::updateUsingStyles().

The documentation for this class was generated from the following files:

- StarItem.hxx
- StarItem.cxx